hash/ru: what changed
Revision 0 to 1. Removed lines have a minus sign; added lines have a plus sign.
Title: hash/ru
| Old | New | Line | |
|---|---|---|---|
| 1 | + | Пакет **hash** содержит реализации алгоритмов crc, md5, NTLM и crypt под Linux. | |
| 2 | + | ||
| 3 | + | ## Модуль md5 | |
| 4 | + | ||
| 5 | + | Этот модуль содержит реализацию алгоритма дайджеста MD5 в соответствии со спецификацией RFC 1321. Так же имеет процедуры для вычисления хэшей из какого либо буфера или хэша какого либо целого файла. | |
| 6 | + | ||
| 7 | + | Тестовая программа md5test вычисляет значение хэша какой либо заданной строки. Нижеприведённый листинг предназначен для сравнения. Простой способ вычислить md5 хэш заданной строки это использовать функцию MD5String в качестве параметра функции MD5Print как в примере приведенном ниже: | |
| 8 | + | ||
| 9 | + | ``` pascal | |
| 10 | + | uses md5; | |
| 11 | + | ||
| 12 | + | var | |
| 13 | + | Password, PasswordHash: string; | |
| 14 | + | begin | |
| 15 | + | PasswordHash := MD5Print(MD5String(Password)); | |
| 16 | + | ``` | |
| 17 | + | ||
| 18 | + | Точно так же для получения MD5 хеша файла можно использовать: | |
| 19 | + | ||
| 20 | + | ``` pascal | |
| 21 | + | uses md5; | |
| 22 | + | ||
| 23 | + | var | |
| 24 | + | PathToFile, FileHash: string; | |
| 25 | + | begin | |
| 26 | + | FileHash := MD5Print(MD5File(PathToFile)); | |
| 27 | + | ``` | |
| 28 | + | ||
| 29 | + | ## Модули хешей | |
| 30 | + | ||
| 31 | + | В FPC имеются следующие модули хешей: | |
| 32 | + | ||
| 33 | + | - Реализация NTLM версия 1.0, модуль алгоритма хеширования пароля : ntlm.pas | |
| 34 | + | - Реализация MD2 дайджест алгоритма (RFC 1319) - модуль : md5.pp | |
| 35 | + | - Реализация MD4 дайджест алгоритма (RFC 1320) - модуль : md5.pp | |
| 36 | + | - Реализация MD5 дайджест алгоритма (RFC 1321) - модуль : md5.pp | |
| 37 | + | - Реализация CRC алгоритма - модуль : crc.pas | |
| 38 | + | ||
| 39 | + | Вернуться назад к [[Package List|Packages List]] | |
| 40 | + | ||
| 41 | + | --- | |
| 42 | + | *From the Free Pascal wiki, page "hash/ru", as it stood on 2020-02-16 after a change by Trev, out of the wiki's dump of 2024-05-26. Copyright stays with the author who wrote it, according to the old wiki's [[Licensing]] page. If you have concerns about this material, [message the admin](/wiki-contact).* |
